﻿package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	"xorm.io/xorm"
)

func NewInstallmentPaymentRepaidFlowDb(engine *xorm.Engine) dao.InstallmentPaymentRepaidFlowDao {
	return &InstallmentPaymentRepaidFlowDb{Db: engine}
}

type InstallmentPaymentRepaidFlowDb struct {
	Db *xorm.Engine
}

func (i InstallmentPaymentRepaidFlowDb) InsertInstallmentPaymentRepaidFlowBySession(session *xorm.Session, m *models.InstallmentPaymentRepaidFlow) (id int, err error) {
	_, err = session.InsertOne(m)
	if err != nil {
		return 0, err
	}
	return m.Id, nil
}
